Package org.apache.groovy.metaclass

# Class MetaClass<T>

java.lang.Object
org.apache.groovy.metaclass.MetaClass<T>

@Incubating public final class MetaClass<T> extends Object
A MetaClass within Groovy defines the behaviour of any given Groovy or Java class

- ## Method Summary

  Modifier and Type
  Method
  Description
  `MetaMethod`
  `getMethod(String name, Class[] parameters)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Method Details

  - ### getMethod

    public MetaMethod getMethod(String name, Class[] parameters)